Debian Bug report logs - #534891
ITP: openssh-known-hosts -- known_hosts downloader/filterer/merger for OpenSSH

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Timo Weingärtner <timo@tiwe.de>

Date: Sat, 27 Jun 2009 23:51:01 UTC

Owned by: Timo Weingärtner <timo@tiwe.de>

Severity: wishlist

Fixed in version openssh-known-hosts/0.6.1-2

Done: Timo Weingärtner <timo@tiwe.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#534891; Package wnpp. (Sat, 27 Jun 2009 23:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Weingärtner <timo@tiwe.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Sat, 27 Jun 2009 23:51:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Weingärtner <timo@tiwe.de>
To: submit@bugs.debian.org
Subject: ITP: openssh-known-hosts -- known_hosts downloader for OpenSSH
Date: Sun, 28 Jun 2009 01:47:39 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org


   Package name: openssh-known-hosts
        Version: 0.2
Upstream Author: Timo Weingärtner <timo@tiwe.de>
            URL: will go to mentors.debian.net as soon as I get the bug number
        License: GPL2+
    Description: This package allows you to download public hostkeys from
                 multiple sources and merge them together into one file for
                 use by OpenSSH. Plugins for some types of sources are
                 included, new plugins can easily be written.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#534891; Package wnpp. (Sun, 28 Jun 2009 06:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Paleino <d.paleino@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 28 Jun 2009 06:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 534891@bugs.debian.org (full text, mbox):

From: David Paleino <d.paleino@gmail.com>
To: Timo Weingärtner <timo@tiwe.de>
Cc: 534891@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#534891: ITP: openssh-known-hosts -- known_hosts downloader for OpenSSH
Date: Sun, 28 Jun 2009 08:16:30 +0200
[Message part 1 (text/plain, inline)]
On Sun, 28 Jun 2009 01:47:39 +0200, Timo Weingärtner wrote:

> [..]
> Upstream Author: Timo Weingärtner <timo@tiwe.de>
>             URL: will go to mentors.debian.net as soon as I get the bug number

This should really be upstream URL.

> [..]
>     Description: This package allows you to download public hostkeys from
>                  multiple sources and merge them together into one file for
>                  use by OpenSSH. Plugins for some types of sources are
>                  included, new plugins can easily be written.

This should be an appropriate short description, i.e. 60 characters maximum.
What you wrote could well be used for the long description.

Kindly,
David

-- 
 . ''`.  Debian maintainer | http://wiki.debian.org/DavidPaleino
 : :'  : Linuxer #334216 --|-- http://www.hanskalabs.net/
 `. `'`  GPG: 1392B174 ----|---- http://snipr.com/qa_page
   `-   2BAB C625 4E66 E7B8 450A C3E1 E6AA 9017 1392 B174
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#534891; Package wnpp. (Sun, 28 Jun 2009 06:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 28 Jun 2009 06:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 534891@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Timo Weingärtner <timo@tiwe.de>, 534891@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#534891: ITP: openssh-known-hosts -- known_hosts downloader for OpenSSH
Date: Sat, 27 Jun 2009 23:46:07 -0700
On Sun, Jun 28, 2009 at 01:47:39AM +0200, Timo Weingärtner wrote:
> Package: wnpp
> Severity: wishlist
> X-Debbugs-CC: debian-devel@lists.debian.org

>    Package name: openssh-known-hosts
>         Version: 0.2
> Upstream Author: Timo Weingärtner <timo@tiwe.de>
>             URL: will go to mentors.debian.net as soon as I get the bug number
>         License: GPL2+
>     Description: This package allows you to download public hostkeys from
>                  multiple sources and merge them together into one file for
>                  use by OpenSSH. Plugins for some types of sources are
>                  included, new plugins can easily be written.

How does this avoid *totally negating* the security value of doing SSH host
key validation?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#534891; Package wnpp. (Sun, 28 Jun 2009 10:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Weingärtner <timo@tiwe.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 28 Jun 2009 10:18:03 GMT) Full text and rfc822 format available.

Message #20 received at 534891@bugs.debian.org (full text, mbox):

From: Timo Weingärtner <timo@tiwe.de>
To: David Paleino <d.paleino@gmail.com>
Cc: 534891@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#534891: ITP: openssh-known-hosts -- known_hosts downloader for OpenSSH
Date: Sun, 28 Jun 2009 12:16:15 +0200
[Message part 1 (text/plain, inline)]
Am Sonntag, 28. Juni 2009 schrieb David Paleino:
> On Sun, 28 Jun 2009 01:47:39 +0200, Timo Weingärtner wrote:
> > Upstream Author: Timo Weingärtner <timo@tiwe.de>
> >             URL: will go to mentors.debian.net as soon as I get the bug
> > number
>
> This should really be upstream URL.
I am upstream and there was no public upstream URL at that time.
It can now be found at 
http://mentors.debian.net/debian/pool/main/o/openssh-known-hosts

> >     Description: This package allows you to download public hostkeys from
> >                  multiple sources and merge them together into one file
> > for use by OpenSSH. Plugins for some types of sources are included, new
> > plugins can easily be written.
>
> This should be an appropriate short description, i.e. 60 characters
> maximum. What you wrote could well be used for the long description.
Actually I used this as the long description, the short description is:
"known_hosts downloader for OpenSSH" as in the Subject:.


Greetings
Timo

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#534891; Package wnpp. (Sun, 28 Jun 2009 10:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Weingärtner <timo@tiwe.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 28 Jun 2009 10:39:02 GMT) Full text and rfc822 format available.

Message #25 received at 534891@bugs.debian.org (full text, mbox):

From: Timo Weingärtner <timo@tiwe.de>
To: Steve Langasek <vorlon@debian.org>
Cc: 534891@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#534891: ITP: openssh-known-hosts -- known_hosts downloader for OpenSSH
Date: Sun, 28 Jun 2009 12:28:52 +0200
[Message part 1 (text/plain, inline)]
Am Sonntag, 28. Juni 2009 schrieb Steve Langasek:
> On Sun, Jun 28, 2009 at 01:47:39AM +0200, Timo Weingärtner wrote:
> > Package: wnpp
> > Severity: wishlist
> > X-Debbugs-CC: debian-devel@lists.debian.org
> >
> >    Package name: openssh-known-hosts
> >         Version: 0.2
> > Upstream Author: Timo Weingärtner <timo@tiwe.de>
> >             URL: will go to mentors.debian.net as soon as I get the bug
> > number License: GPL2+
> >     Description: This package allows you to download public hostkeys from
> >                  multiple sources and merge them together into one file
> > for use by OpenSSH. Plugins for some types of sources are included, new
> > plugins can easily be written.
>
> How does this avoid *totally negating* the security value of doing SSH host
> key validation?

Oh, this is missing in the package description. curl can use https and the 
curl and rsync plugins can do gpg verification.


Greetings
Timo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#534891; Package wnpp. (Sat, 19 Feb 2011 17:39:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 19 Feb 2011 17:39:25 GMT) Full text and rfc822 format available.

Message #30 received at 534891@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 534891@bugs.debian.org
Cc: control@bugs.debian.org
Subject: openssh-known-hosts: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:58 +0000
retitle 534891 RFP: openssh-known-hosts -- known_hosts downloader for OpenSSH
noowner 534891
thanks

Hi,

This is an automatic email to change the status of openssh-known-hosts back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting openssh-known-hosts, please send a mail to
<control@bugs.debian.org> with:

 retitle 534891 ITP: openssh-known-hosts -- known_hosts downloader for OpenSSH
 owner 534891 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <534891@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: openssh-known-hosts -- known_hosts downloader for OpenSSH' from 'ITP: openssh-known-hosts -- known_hosts downloader for OpenSSH' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:43:21 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: openssh-known-hosts -- known_hosts downloader/filterer/merger for OpenSSH' from 'RFP: openssh-known-hosts -- known_hosts downloader for OpenSSH' Request was from Timo Weingärtner <timo@tiwe.de> to control@bugs.debian.org. (Thu, 10 Jan 2013 14:39:05 GMT) Full text and rfc822 format available.

Owner recorded as Timo Weingärtner <timo@tiwe.de>. Request was from Timo Weingärtner <timo@tiwe.de> to control@bugs.debian.org. (Thu, 10 Jan 2013 14:39:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Timo Weingärtner <timo@tiwe.de>' from 'Timo Weingärtner <timo@tiwe.de>' Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. (Thu, 21 Mar 2013 21:27:44 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 05 Mar 2014 12:09:18 GMT) Full text and rfc822 format available.

Reply sent to Timo Weingärtner <timo@tiwe.de>:
You have taken responsibility. (Thu, 06 Mar 2014 17:03:14 GMT) Full text and rfc822 format available.

Notification sent to Timo Weingärtner <timo@tiwe.de>:
Bug acknowledged by developer. (Thu, 06 Mar 2014 17:03:14 GMT) Full text and rfc822 format available.

Message #45 received at 534891-close@bugs.debian.org (full text, mbox):

From: Timo Weingärtner <timo@tiwe.de>
To: 534891-close@bugs.debian.org
Subject: Bug#534891: fixed in openssh-known-hosts 0.6.1-2
Date: Thu, 06 Mar 2014 17:00:07 +0000
Source: openssh-known-hosts
Source-Version: 0.6.1-2

We believe that the bug you reported is fixed in the latest version of
openssh-known-hosts, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 534891@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Timo Weingärtner <timo@tiwe.de> (supplier of updated openssh-known-hosts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 26 Feb 2014 17:22:27 +0100
Source: openssh-known-hosts
Binary: openssh-known-hosts
Architecture: source all
Version: 0.6.1-2
Distribution: unstable
Urgency: medium
Maintainer: Timo Weingärtner <timo@tiwe.de>
Changed-By: Timo Weingärtner <timo@tiwe.de>
Description: 
 openssh-known-hosts - download, filter and merge known_hosts for OpenSSH
Closes: 534891
Changes: 
 openssh-known-hosts (0.6.1-2) unstable; urgency=medium
 .
   * postinst: check for dangling but possibly correct symlink
   * Upload to unstable (Closes: #534891)
Checksums-Sha1: 
 a04cbedcb0e0f483b001f7e00b6aef587a9d5de9 1298 openssh-known-hosts_0.6.1-2.dsc
 16b896a6b417145ea8a553c22a0c8bc02fa43c59 17747 openssh-known-hosts_0.6.1.orig.tar.gz
 00ea8e1341550e9fb1b6ec88a53dbd36e518107e 3472 openssh-known-hosts_0.6.1-2.debian.tar.xz
 e31d9e08697772baa418a515ed80a88c6b52b57b 10382 openssh-known-hosts_0.6.1-2_all.deb
Checksums-Sha256: 
 8ef65a1024a006fb31862c17122bd56a5b7d6e8fa220e9e19e241be3c5d43b8c 1298 openssh-known-hosts_0.6.1-2.dsc
 85a2cfdaa2448c7459cb82654e478340e365cf368070bbf7ce05d1068b761e1f 17747 openssh-known-hosts_0.6.1.orig.tar.gz
 1871abf1932a2879deb6b28c5e28f8915a49ca94e1bcb04fd3b4c1613bf3f6e7 3472 openssh-known-hosts_0.6.1-2.debian.tar.xz
 fa3825c058c74e34595f8e2bcf3245a04aa0b44a7b0348a5cf3787eb6f2cd16a 10382 openssh-known-hosts_0.6.1-2_all.deb
Files: 
 840222c263d6813342365da0b9768f95 1298 net extra openssh-known-hosts_0.6.1-2.dsc
 6584c5f2ddd3e9aded33293069fabbaa 17747 net extra openssh-known-hosts_0.6.1.orig.tar.gz
 23771d63571a697577663c34cdc1cd50 3472 net extra openssh-known-hosts_0.6.1-2.debian.tar.xz
 a5fddd6745c541207cae7f97b9bc6aa9 10382 net extra openssh-known-hosts_0.6.1-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlMV27EACgkQ9ijrk0dDIGyXAACgiqVQLM7bjLhh+LfxikZfOvnG
t7AAn31feQb+J/l4qsha8+B0JbFpbuqs
=j01O
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Apr 2014 07:35:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:28:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.